Add latest bug fixes to master

Change-Id: Ieddc2330ad4e093984f14a69b52f2ca5cb465a10
Issue-ID: SDC-293
Signed-off-by: avigaffa <avi.gaffa@amdocs.com>
diff --git a/openecomp-be/tools/install/database/schemaTemplates/composition/deployment.ftl b/openecomp-be/tools/install/database/schemaTemplates/composition/deployment.ftl
index 67271c7..2bd0b40 100644
--- a/openecomp-be/tools/install/database/schemaTemplates/composition/deployment.ftl
+++ b/openecomp-be/tools/install/database/schemaTemplates/composition/deployment.ftl
@@ -1,39 +1,38 @@
 {
-    "$schema": "http://json-schema.org/draft-04/schema#",
-    "type": "object",
-    "properties": {
-      "model": {
-        "type": "string",
-         "maxLength": 30,
-         "pattern": "^[A-Za-z0-9_,-]*$"
-        },
-      "description": {
-        "type": "string",
+"$schema": "http://json-schema.org/draft-04/schema#",
+"type": "object",
+"properties": {
+"model": {
+"type": "string",
+"maxLength": 30
+},
+"description": {
+"type": "string",
 
-         "maxLength": 300
-        },
-      "featureGroupId":{
-        "type": "string",
-        "enum": [<#if featureGroupIds??> <#list featureGroupIds as featureGroupId>
-        "${featureGroupId}"<#sep>,</#list> </#if>
-          ]
-      },
-     "componentComputeAssociations": {
-       "type": "array",
-        "properties": {
-            "vfcid": {
-               "type": "string"
-             },
-            "computeFlavorid": {
-               "type": "string"
-             }
-        },
-     "additionalProperties": false
-      }
+"maxLength": 300
+},
+"featureGroupId":{
+"type": "string",
+"enum": [<#if featureGroupIds??> <#list featureGroupIds as featureGroupId>
+"${featureGroupId}"<#sep>,</#list> </#if>
+]
+},
+"componentComputeAssociations": {
+"type": "array",
+"properties": {
+"vfcid": {
+"type": "string"
+},
+"computeFlavorid": {
+"type": "string"
+}
+},
+"additionalProperties": false
+}
 
-    },
-   "additionalProperties": false,
-   "required": [
-      "model"
-    ]
+},
+"additionalProperties": false,
+"required": [
+"model"
+]
 }
\ No newline at end of file
diff --git a/openecomp-be/tools/zusammen-tools/src/main/resources/zusammenMainTool.sh b/openecomp-be/tools/zusammen-tools/src/main/resources/zusammenMainTool.sh
index da043b1..b92266f 100644
--- a/openecomp-be/tools/zusammen-tools/src/main/resources/zusammenMainTool.sh
+++ b/openecomp-be/tools/zusammen-tools/src/main/resources/zusammenMainTool.sh
@@ -1,14 +1,16 @@
 #!/bin/bash
 
-###########################################################################################################
-# script name - cassandra2zusammen.sh
-# run script - ./cassandra2zusammen.sh
-# This script migrates ASDC 1st class citizen entities and their sub-entities from Cassandra to
-# Zusammen.
-# This script should be run when upgrading from 1702 to 1707
-###########################################################################################################
+OSTYPE=`uname -a | grep -iq ubuntu; echo $?`
+echo "${OSTYPE}"
 
+if [ ${OSTYPE} -eq 1 ]
+then
+   CONF_FILE_LOCATION="/opt/app/jetty/base/be/config/catalog-be/configuration.yaml"
+else
+  CONF_FILE_LOCATION="/apps/jetty/base/be/config/catalog-be/configuration.yaml"
+fi
+echo "Configuration file location:  ${CONF_FILE_LOCATION}"
 
 # change exist package and service templates in db
-java -Dlog.home=/apps/jetty/base/be/logs -Dconfiguration.yaml=/apps/jetty/base/be/config/catalog-be/configuration.yaml  -jar openecomp-zusammen-tools-1.0-SNAPSHOT.jar org.openecomp.core.tools.main.ZusammenMainTool $1 $2 $3 $4 $5 $6
-STATUS="${?}" echo "${STATUS}" echo "All log messages for the zusammenMainTool migration process are in /apps/jetty/base/be/logs/ASDC/ASDC-BE/zusammen_tool_debug.log"
+java -Dlog.home=/apps/jetty/base/be/logs -Dconfiguration.yaml=${CONF_FILE_LOCATION}  -jar openecomp-zusammen-tools-1.0-SNAPSHOT.jar org.openecomp.core.tools.main.ZusammenMainTool $1 $2 $3 $4 $5 $6
+STATUS="${?}" echo "${STATUS}"
\ No newline at end of file